Package com.io7m.jregions.core.unparameterized.sizes

# Class AreaSizeI.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.AreaSizeIType.Builder
com.io7m.jregions.core.unparameterized.sizes.AreaSizeI.Builder

Enclosing class:
  AreaSizeI

    public static final class AreaSizeI.Builder
    extends AreaSizeIType.Builder

Builds instances of type `AreaSizeI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AreaSizeI` | `build()` | Builds a new `AreaSizeI`.
  `AreaSizeI.Builder` | `from​(AreaSizeIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeIType` instance.
  `AreaSizeI.Builder` | `from​(AreaSizeValuesIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesIType` instance.
  `AreaSizeI.Builder` | `setSizeX​(int sizeX)` | Initializes the value for the `sizeX` attribute.
  `AreaSizeI.Builder` | `setSizeY​(int sizeY)` | Initializes the value for the `sizeY` attribute.

  ### Methods inherited from class com.io7m.jregions.core.unparameterized.sizes.AreaSizeIType.Builder

  `setHeight, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final AreaSizeI.Builder from​(AreaSizeValuesIType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesIType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final AreaSizeI.Builder from​(AreaSizeIType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeIType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final AreaSizeI.Builder setSizeX​(int sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final AreaSizeI.Builder setSizeY​(int sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public AreaSizeI build()
    Builds a new `AreaSizeI`.
    Returns:
      An immutable instance of AreaSizeI
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing